Page MenuHomePhabricator

Request for creating a DNS record for lists.wmcloud.org to 185.15.56.28
Closed, ResolvedPublic

Description

It seems I can't create such DNS record as it's not part of mailman.wmcloud.org and I don't have access to create DNS records in the zone of wmcloud.org. It is possible to create this DNS record? I made a web proxy for this but it wouldn't work as it wouldn't be able to route mail to the host. Type A would be great and I don't think MX would be needed. Thanks!

Event Timeline

Ladsgroup created this task.Aug 2 2020, 8:46 PM

This should probably just be a record under mailman.wmcloud.org ?

This should probably just be a record under mailman.wmcloud.org ?

Do you mean "lists.mailman.wmcloud.org"? I want it to be en-par with lists.wikimedia.org. We did a similar thing with meet.wmcloud.org as well.

Krenair added a comment.EditedAug 2 2020, 10:29 PM

As I recall with the meet project the project itself in OpenStack was named meet, therefore you automatically got a meet.wmflabs.org designate zone. Could get one for lists created too I guess (similar to the beta zone in deployment-prep). This way you could administer it without going through more tickets in future

As I recall with the meet project the project itself in OpenStack was named meet, therefore you automatically got a meet.wmflabs.org designate zone. Could get one for lists created too I guess (similar to the beta zone in deployment-prep). This way you could administer it without going through more tickets in future

That would work for me.

akosiaris added a subscriber: akosiaris.

I am guessing this isn't related to production DNS stuff, so removing Operations. But feel free to re-add.

Restricted Application added a project: Operations. · View Herald TranscriptAug 3 2020, 3:24 PM
Restricted Application added a project: Operations. · View Herald TranscriptAug 3 2020, 3:58 PM
bd808 added a comment.Aug 3 2020, 4:03 PM

This should probably just be a record under mailman.wmcloud.org ?

Do you mean "lists.mailman.wmcloud.org"? I want it to be en-par with lists.wikimedia.org. We did a similar thing with meet.wmcloud.org as well.

lists.mailman.wmcloud.org would actually be "nicer" in our current DNS management setup. I don't quite understand the need for this testing system to have a particular hostname. Can you explain how that is needed for your testing? This is not a long term service you are building correct? Instead it is just a proof of concept and test platform for the Puppet role correct?

I am guessing this isn't related to production DNS stuff, so removing Operations. But feel free to re-add.

Herald re-added it :D

lists.mailman.wmcloud.org would actually be "nicer" in our current DNS management setup. I don't quite understand the need for this testing system to have a particular hostname. Can you explain how that is needed for your testing? This is not a long term service you are building correct? Instead it is just a proof of concept and test platform for the Puppet role correct?

I wish it was this simple. mailman2 is drastically different than mailman3, For example, mailman2 stores everything as files (mails, settings) and it's already 200GB in production but mailman3 stores them in two different databases and we need to know what the size would be (T256538: Create databases for mailman3) so I need to migrate a couple of fully public mailing lists from two to three to see how the size change.

Other bits that are weird are django handling of the domains:


or exim4 LMTP mail routing (See docs):

(tests.lists.wmcloud.org is actually test@lists.wmcloud.org)

If I knew it beforehand, I would have gone with lists.mailman.wmcloud.org but now, If I need to fix it, I need rip everything apart and start again :( It's fine if it's in any way some hassle for you and I do everything again.

Mentioned in SAL (#wikimedia-cloud) [2020-08-04T18:24:00Z] <bd808> Made DNS entry lists.wmcloud.org A 185.15.56.49 (Tried CNAME to mailman.wmcloud.org first but Horizon didn't like that) (T259444)

bd808 closed this task as Resolved.Aug 4 2020, 6:26 PM
bd808 claimed this task.
bd808 moved this task from Inbox to Clinic Duty on the cloud-services-team (Kanban) board.

I made the record. Let's try to remember that it exists when it comes time to decommission this project. The record itself lives in the cloudinfra project. Cloudinfra is the owner of the wmcloud.org TLD for Designate (OpenStack's DNS service).

Restricted Application added a project: User-bd808. · View Herald TranscriptAug 4 2020, 6:26 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Aug 4 2020, 7:15 PM
bd808 reopened this task as Open.Aug 4 2020, 7:48 PM
[19:45]  <    Amir1> bd808: sorry but one thing, gmail gave me this: "DNS Error: 29726073 DNS type 'mx' lookup of lists.wmcloud.org responded with code NXDOMAIN Domain name not found: lists.wmcloud.org" I thought if no MX record exists, it would fallback to A type record but I might be wrong
bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.Aug 4 2020, 8:51 PM
Ladsgroup closed this task as Resolved.Aug 5 2020, 12:19 AM

This is done, thanks!